use serde::{Deserialize, Serialize};
use validator::Validate;

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct GameAccountCreate {
    #[validate(length(min = 1, message = "用户名称不能为空"))]
    pub username: String,
    #[validate(length(min = 1, message = "电子邮箱不能为空"))]
    pub email: String,
    #[validate(length(min = 1, message = "平台ID不能为空"))]
    pub platform_id: String,
    #[validate(length(min = 1, message = "用户类型不能为空"))]
    pub user_type: String,
    #[validate(length(min = 1, message = "用户所属区域不能为空"))]
    pub country_code: String,
}
